# DataExchange
TKIGES
IGESData

# IGESData_IGESDumper Class Reference

Provides a way to obtain a clear Dump of an IGESEntity
(distinct from normalized output). It works with tools
attached to Entities, as for normalized Reade and Write
For each Entity, displaying data is splitted in own data
(specific to each type) and other attached data, which are
defined for all IGES Types (either from "Directory Entry" or
from Lists of Associativities and Properties)
.

`#include <IGESData_IGESDumper.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | IGESData_IGESDumper (const Handle(IGESData_IGESModel)&model, const Handle(IGESData_Protocol)&protocol)
| Returns an IGESDumper ready to work. The IGESModel provides the numbering of Entities : as for any InterfaceModel, it gives each Entity a number; but for IGESEntities, the "Number <br> of Directory Entry" according to the definition of IGES Files, is also usefull .
Standard_EXPORT void | PrintDNum (const Handle(IGESData_IGESEntity)&ent, const Handle(Message_Messenger)&S) const
| Prints onto an output, the "Number of Directory Entry" which corresponds to an IGESEntity in the IGESModel, under the form "D#nnn" (a Null Handle gives D#0) .
Standard_EXPORT void | PrintShort (const Handle(IGESData_IGESEntity)&ent, const Handle(Message_Messenger)&S) const
| Prints onto an output, the "Number of Directory Entry" (see PrintDNum) plus IGES Type and Form Numbers, which gives "D#nnn Type nnn Form nnn" .
Standard_EXPORT void | Dump (const Handle(IGESData_IGESEntity)&ent, const Handle(Message_Messenger)&S, const Standard_Integer own, const Standard_Integer attached=-1) const
Standard_EXPORT void | OwnDump (const Handle(IGESData_IGESEntity)&ent, const Handle(Message_Messenger)&S, const Standard_Integer own) const
| Specific Dump for each IGES Entity, call by Dump (just above) <own> is the parameter <own> from Dump .

## Private Attributes

Handle_IGESData_IGESModel | themodel
IGESData_SpecificLib | thelib

## Constructor & Destructor Documentation

Standard_EXPORT IGESData_IGESDumper::IGESData_IGESDumper | ( | const Handle(IGESData_IGESModel)& | model,
|  | const Handle(IGESData_Protocol)& | protocol
| ) |

## Member Function Documentation

Standard_EXPORT void IGESData_IGESDumper::Dump | ( | const Handle(IGESData_IGESEntity)& | ent,
|  | const Handle(Message_Messenger)& | S,
|  | const Standard_Integer | own,
|  | const Standard_Integer | attached = `-1`
| ) | const

void IGESData_IGESDumper::operator delete | ( | void * | anAddress | ) | `[inline]`

void* IGESData_IGESDumper::operator new | ( | size_t | size | ) | `[inline]`

void* IGESData_IGESDumper::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void IGESData_IGESDumper::OwnDump | ( | const Handle(IGESData_IGESEntity)& | ent,
|  | const Handle(Message_Messenger)& | S,
|  | const Standard_Integer | own
| ) | const

Standard_EXPORT void IGESData_IGESDumper::PrintDNum | ( | const Handle(IGESData_IGESEntity)& | ent,
|  | const Handle(Message_Messenger)& | S
| ) | const

Standard_EXPORT void IGESData_IGESDumper::PrintShort | ( | const Handle(IGESData_IGESEntity)& | ent,
|  | const Handle(Message_Messenger)& | S
| ) | const

## Field Documentation

IGESData_SpecificLib IGESData_IGESDumper::thelib `[private]`

Handle_IGESData_IGESModel IGESData_IGESDumper::themodel `[private]`

The documentation for this class was generated from the following file:

- IGESData_IGESDumper.hxx